com.informix.jdbc

## Interface UDTSQLData

All Superinterfaces:
  java.sql.SQLData

    public interface UDTSQLData
    extends java.sql.SQLData

This interface is an Informix extension to SQLData. The extension allows user to materialize an object other then this SQLData object represents. It is beneficial to situations where object inheritance is known only to the application but not to the database.

### Method Summary

Methods
`java.lang.Object` `getSQLDataObject()` Returns the desired java object

### Methods inherited from interface java.sql.SQLData

`getSQLTypeName, readSQL, writeSQL`

### Method Detail

#### getSQLDataObject

    java.lang.Object getSQLDataObject()
                                      throws java.sql.SQLException

Returns the desired java object

Returns:
  the actual java object
Throws:
  `java.sql.SQLException`